varying lowp vec2 v_texCoord;
varying lowp vec4 v_color;

uniform lowp vec4 u_color_top;
uniform lowp vec4 u_color_bottom;
uniform lowp vec4 u_height;
	
uniform sampler2D u_texture;

void main() {
	
	lowp vec4 gradient = mix(u_color_top, u_color_bottom, (v_texCoord.y * u_height.r));
	lowp vec4 baseColor = texture2D(u_texture, v_texCoord);
	gl_FragColor = baseColor * gradient;
}

