varying lowp vec2 v_texCoord;
varying lowp vec4 v_color;

//uniform highp float u_time;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;

void main()
{
	mediump vec4 texColor = texture2D(u_texture, v_texCoord);
	mediump float erosion = texture2D(u_texture1, v_texCoord).r;
	highp float alpha = clamp((erosion-(1.0-v_color.a))*8.0,0.0,1.0)*texture2D(u_texture, v_texCoord).a;
	gl_FragColor = vec4(vec3(texColor), alpha);
}